From 7e58710feb3a5a4be88eefe25e6024a6aef133ec Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Sat, 12 Mar 2022 00:42:17 -0300
Subject: [PATCH v15 3/4] can use return value of called function directly

---
 src/backend/executor/nodeModifyTable.c | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

diff --git a/src/backend/executor/nodeModifyTable.c b/src/backend/executor/nodeModifyTable.c
index a7a18d1e55..8189033e3f 100644
--- a/src/backend/executor/nodeModifyTable.c
+++ b/src/backend/executor/nodeModifyTable.c
@@ -1170,16 +1170,12 @@ ExecDeletePrologue(ModifyTableContext *context, ResultRelInfo *resultRelInfo,
 				   ItemPointer tupleid, HeapTuple oldtuple,
 				   TupleTableSlot **epqreturnslot)
 {
-	/* BEFORE ROW DELETE Triggers */
+	/* BEFORE ROW DELETE triggers */
 	if (resultRelInfo->ri_TrigDesc &&
 		resultRelInfo->ri_TrigDesc->trig_delete_before_row)
-	{
-		if (!ExecBRDeleteTriggers(context->estate, context->epqstate,
-								  resultRelInfo, tupleid, oldtuple,
-								  epqreturnslot, NULL))
-			/* some trigger made the delete a no-op; let caller know */
-			return false;
-	}
+		return ExecBRDeleteTriggers(context->estate, context->epqstate,
+									resultRelInfo, tupleid, oldtuple,
+									epqreturnslot, NULL);
 
 	return true;
 }
@@ -1748,16 +1744,12 @@ ExecUpdatePrologue(ModifyTableContext *context, ResultRelInfo *resultRelInfo,
 		resultRelInfo->ri_IndexRelationDescs == NULL)
 		ExecOpenIndices(resultRelInfo, false);
 
-	/* BEFORE ROW UPDATE Triggers */
+	/* BEFORE ROW UPDATE triggers */
 	if (resultRelInfo->ri_TrigDesc &&
 		resultRelInfo->ri_TrigDesc->trig_update_before_row)
-	{
-		if (!ExecBRUpdateTriggers(context->estate, context->epqstate,
-								  resultRelInfo, tupleid, oldtuple, slot,
-								  &context->tmfd))
-			/* some trigger made the update a no-op; let caller know */
-			return false;
-	}
+		return ExecBRUpdateTriggers(context->estate, context->epqstate,
+									resultRelInfo, tupleid, oldtuple, slot,
+									&context->tmfd);
 
 	return true;
 }
-- 
2.30.2

